--- title: "getCloudMysqlRecoveryTime" slug: "database-vmysql-getcloudmysqlrecoverytime" updated: 2026-09-17T10:05:51Z published: 2026-09-17T10:05:51Z canonical: "api.ncloud-docs.com/database-vmysql-getcloudmysqlrecoverytime" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCloudMysqlRecoveryTime Available in VPC Get the restorable time of a Cloud DB for MySQL instance. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/getCloudMysqlRecoveryTime | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL server instance to view - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `cloudMysqlInstanceNo` | String | Required | Instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/getCloudMysqlRecoveryTime ?regionCode=KR &cloudMysqlInstanceNo=****890' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CloudMysqlRecoveryTime](/docs/en/common-vapidatatype-cloudmysqlrecoverytime) for the response body. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "getCloudMysqlRecoveryTimeResponse": { "recoveryStartTime": "2024-05-23T11:42:00+0900", "recoveryEndTime": "2024-05-27T09:53:00+0900", "requestId": "afdc35ca-****-****-****-9d52c17ce47c", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` afdc35ca-****-****-****-9d52c17ce47c 0 success 2024-05-23T11:42:00+0900 2024-05-27T09:53:00+0900 ```